__gnu_pbds::detail::lu_counter_policy_base< Size_Type >(3cxx)

NAME
__gnu_pbds::detail::lu_counter_policy_base< Size_Type > - Base class for list-update counter policy.

SYNOPSIS

  Protected Types

typedef Size_Type size_type

  Protected Member Functions

template<typename Metadata_Reference > bool operator() (Metadata_Reference r_data, size_type m_max_count) const
lu_counter_metadata< size_type > operator() (size_type max_size) const

Detailed Description

  template<typename Size_Type>
class __gnu_pbds::detail::lu_counter_policy_base< Size_Type >" Base class for list-update counter policy.

Author

Generated automatically by Doxygen for libstdc++ from the source code.